      logical function cystyp(seqcod)                                   CYST001
c                                                                       CYST002
c     check that we do have a potential disulfide former                CYST003
c                                                                       CYST004
      include 'sstruc.par'                                              CYST005
      integer  seqcod                                                   CYST006
                                                                        CYST007
      If (seqcod .eq. cyscod .or. seqcod .eq. mprcod) then              CYST008
         cystyp = .true.                                                CYST009
      else                                                              CYST010
         cystyp = .false.                                               CYST011
      end if                                                            CYST012
      end                                                               CYST013
